###
 # @Author: JinxuChen
 # @Date: 2021-11-15
 # @LastEditTime: 2022-09-08 14:19:26
 # @LastEditors: JinxChen
 # @Description: In User Settings Edit
 # @FilePath: \TelpoUserManageAdmin\setup_development.sh
###
#!/bin/bash
npm -v
npm config set registry https://registry.npm.taobao.org
npm config list
npm install
npm run build-test
image_version=`date +%Y%m%d%H%M`;
docker stop telpo_user_admin || true;
# 删除gps_parent_web容器
docker rm telpo_user_admin || true;
# 删除镜像
docker rmi -f $(docker images | grep telpo/telpo_user_admin | awk '{print $3}')
# 构建telpo/telpo_user_admin:$image_version镜像
docker build . -t telpo/telpo_user_admin:$image_version;
#删除产生的None镜像
docker rmi -f $(docker images | grep none | awk '{print $3}')
# 查看镜像列表
docker images;
# 启动容器
docker run -p 8073:80 -d --restart=always --name telpo_user_admin telpo/telpo_user_admin:$image_version;
# 查看日志
docker logs telpo_user_admin;
